/* DTYPE.H	derived from DESCRIP.H	*/

char *dtype[] = {
    "DSC$K_DTYPE_Z",	/* unspecified */
    "DSC$K_DTYPE_V",	/* aligned bit string */
    "DSC$K_DTYPE_BU",	/* byte (unsigned);  8-bit unsigned quantity */
    "DSC$K_DTYPE_WU",	/* word (unsigned);  16-bit unsigned quantity */
    "DSC$K_DTYPE_LU",	/* longword (unsigned);  32-bit unsigned quantity */
    "DSC$K_DTYPE_QU",	/* quadword (unsigned);  64-bit unsigned quantity */
    "TINYINT",		/* byte integer (signed);  8-bit signed 2's-complement integer */
    "SMALLINT",		/* word integer (signed);  16-bit signed 2's-complement integer */
    "INTEGER",		/* longword integer (signed);  32-bit signed 2's-complement integer */
    "BIGINT(2)",	/* quadword integer (signed);  64-bit signed 2's-complement integer */
    "DSC$K_DTYPE_F",	/* F_floating;  32-bit single-precision floating point */
    "DSC$K_DTYPE_D",	/* D_floating;  64-bit double-precision floating point */
    "DSC$K_DTYPE_FC",	/* F_floating complex */
    "DSC$K_DTYPE_DC",	/* D_floating complex */
    "CHAR(",		/* character string;  a single 8-bit character or a sequence of characters */
    "DSC$K_DTYPE_NU",	/* numeric string, unsigned */
    "DSC$K_DTYPE_NL",	/* numeric string, left separate sign */
    "DSC$K_DTYPE_NLO",	/* numeric string, left overpunched sign */
    "DSC$K_DTYPE_NR",	/* numeric string, right separate sign */
    "DSC$K_DTYPE_NRO",	/* numeric string, right overpunched sign */
    "DSC$K_DTYPE_NZ",	/* numeric string, zoned sign */
    "DSC$K_DTYPE_P",	/* packed decimal string */
    "DSC$K_DTYPE_ZI",	/* sequence of instructions */
    "DSC$K_DTYPE_ZEM",	/* procedure entry mask */
    "DSC$K_DTYPE_DSC",	/* descriptor */
    "DSC$K_DTYPE_OU",	/* octaword (unsigned);  128-bit unsigned quantity */
    "DSC$K_DTYPE_O",	/* octaword integer (signed);  128-bit signed 2's-complement integer */
    "DSC$K_DTYPE_G",	/* G_floating;  64-bit double-precision floating point */
    "DSC$K_DTYPE_H",	/* H_floating;  128-bit quadruple-precision floating point */
    "DSC$K_DTYPE_GC",	/* G_floating complex */
    "DSC$K_DTYPE_HC",	/* H_floating complex */
    "DSC$K_DTYPE_CIT",	/* COBOL Intermediate Temporary */
    "DSC$K_DTYPE_BPV",	/* bound procedure value */
    "DSC$K_DTYPE_BLV",	/* bound label value */
    "DSC$K_DTYPE_VU",	/* unaligned bit string */
    "DATE VMS",		/* absolute date and time */
    "undefined",
    "VARCHAR("		/* varying character string;  16-bit count, followed by a string */
};			/* 261 is special Rdb seqmentd strings type	*/
